Add missing javax.servlet-api bundle requirement for jersey bundles 44/4144/1
authorjsimomaa <jani.simomaa@gmail.com>
Thu, 16 Apr 2020 08:47:55 +0000 (11:47 +0300)
committerjsimomaa <jani.simomaa@gmail.com>
Thu, 16 Apr 2020 08:47:55 +0000 (11:47 +0300)
gitlab #486

Change-Id: I0f1bffdfd5c404477d92ea895766f7d2e3a57fd7

releng/org.simantics.sdk.build.p2.site/pom.xml

index 9c3e9fae3a333ede4eafb909f564d93d688b9be3..ec095415a6a014d67731fefec84becd37610d0a0 100644 (file)
@@ -26,7 +26,7 @@
         <jakarta.version.actual>2.1.6.b0005</jakarta.version.actual>
         <jersey.version>2.30.1</jersey.version>
         <!-- This can be removed once jersey version is bumped -->
-        <jersey.version.actual>2.30.1.b0005</jersey.version.actual>
+        <jersey.version.actual>2.30.1.b0006</jersey.version.actual>
         <jfreechart.version>1.5.0</jfreechart.version>
         <slf4j.version>1.7.30</slf4j.version>
         <slf4j.version.actual>1.7.30</slf4j.version.actual>
                                         <Require-Bundle>
                                              javax.annotation,
                                              javax.inject,
+                                             javax.servlet-api,
                                              jakarta.validation.jakarta.validation-api,
                                              jakarta.ws.rs-api,
                                              jakarta.xml.bind-api
                                         <Require-Bundle>
                                              javax.annotation,
                                              javax.inject,
+                                             javax.servlet-api,
                                              jakarta.validation.jakarta.validation-api,
                                              jakarta.ws.rs-api,
                                              jakarta.xml.bind-api
                                         <Require-Bundle>
                                              javax.annotation,
                                              javax.inject,
+                                             javax.servlet-api,
                                              jakarta.validation.jakarta.validation-api,
                                              jakarta.ws.rs-api,
                                              jakarta.xml.bind-api
                                         <Bundle-Version>${jersey.version.actual}</Bundle-Version>
                                         <Require-Bundle>
                                              jakarta.ws.rs-api,
+                                             javax.servlet-api,
                                              org.glassfish.jersey.core.jersey-server
                                         </Require-Bundle>
                                         <Import-Package>!javax.*,*;resolution:=optional</Import-Package>
                                         <Require-Bundle>
                                              javax.annotation,
                                              javax.inject,
+                                             javax.servlet-api,
                                              jakarta.validation.jakarta.validation-api,
                                              jakarta.ws.rs-api,
                                              jakarta.xml.bind-api
                                         <Require-Bundle>
                                              javax.annotation,
                                              javax.inject,
+                                             javax.servlet-api,
                                              jakarta.validation.jakarta.validation-api,
                                              jakarta.ws.rs-api,
                                              jakarta.xml.bind-api